For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Work Order from Existing
      • POSTCreate Work Order
      • POSTUpload Attachment
      • GETGet Action Types
LogoLogo
API ReferenceKitting

Create Work Order from Existing

||View as Markdown|
POST
/Experimental/kitting:createFromExisting
POST
/Experimental/kitting:createFromExisting
$curl -X POST https://api.shipbob.com/Experimental/kitting:createFromExisting \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "fulfillment_center_id": 1,
> "shipment_id": 5001,
> "end_kitted_quantity": 10,
> "lot_date": "2024-01-15T09:00:00+00:00",
> "lot_number": "LOT-2024-001"
>}'
1{
2 "shipment_id": 0
3}
Creates a kitting work order based on an existing shipment, including steps, line items, fulfillment center, and product details.
Was this page helpful?
Previous

Restore Lot Exclusion

Next

Create Work Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

Request containing the details for creating the work order
fulfillment_center_idintegerRequired1-2147483647
The fulfillment center id associated with the work order.
shipment_idintegerRequired1-2147483647
Id of the shipment to copy line items and details from when creating the kitting work order.
end_kitted_quantityintegerOptional1-2147483647

Number of end-kitted units to produce. When provided, overrides both the quantity and expected quantity from the original shipment. If not provided, the original shipment’s quantity and expected quantity are used.

lot_datedatetimeOptional
Lot expiration date to be associated with the work order.
lot_numberstringOptional
Lot number to be associated with the work order.

Response

Success
shipment_idinteger
Id of the created shipment

Errors

400
Bad Request Error
500
Internal Server Error